org.apache.jmeter.gui.action.template

## Class Template

- java.lang.Object
- - org.apache.jmeter.gui.action.template.Template

-     public class Template
      extends java.lang.Object

  Template Bean
  Since:
    2.10

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Template()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getName()`
    `java.io.File` | `getParent()`
    `boolean` | `isTestPlan()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setFileName(java.lang.String relativeFileName)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParent(java.io.File parent)`
    `void` | `setTestPlan(boolean isTestPlan)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Template

          public Template()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Parameters:
        `name` - the name to set

    - #### getFileName

          public java.lang.String getFileName()

      Returns:
        the relativeFileName

    - #### setFileName

          public void setFileName(java.lang.String relativeFileName)

      Parameters:
        `relativeFileName` - the relativeFileName to set

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Parameters:
        `description` - the description to set

    - #### isTestPlan

          public boolean isTestPlan()

    - #### setTestPlan

          public void setTestPlan(boolean isTestPlan)

    - #### getParent

          public java.io.File getParent()

    - #### setParent

          public void setParent(java.io.File parent)

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.